# class Puppet::Parser::AST::Concat

### Public Instance Methods

evaluate(scope) click to toggle source

    # File lib/puppet/parser/ast/leaf.rb, line 58
    def evaluate(scope)
      @value.collect { |x| x.evaluate(scope) }.collect{ |x| x == :undef ? '' : x }.join
    end

to_s() click to toggle source

    # File lib/puppet/parser/ast/leaf.rb, line 62
    def to_s
      "#{@value.map { |s| s.to_s.gsub(/^"(.*)"$/, '\1') }.join}"
    end